TICKIT_RECTSET_INTERSECTS(3)

NAME
tickit_rectset_intersects - test if a region intersects with a rectangle set

SYNOPSIS
    #include <tickit.h>

    bool tickit_rectset_intersects(const TickitRectSet *trs, const TickitRect *rect);

Link with -ltickit.

DESCRIPTION
tickit_rectset_intersects() tests whether the area given by rect intersects with one or more regions in the rectangle set.

RETURN VALUE
tickit_rectset_intersects() returns a true value if the the given area intersects with one or more regions, or false if it does not intersect with any.

SEE ALSO
tickit_rectset_new(3), tickit_rectset(7), tickit_rect(7), tickit(7)